<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>nauphilus</title>
</head>
<body>
    <div id="nauphilus_container"></div>
    <button onclick="nauphilus_close()">Cerrar widget</button>
    <script type="text/javascript">
        window['NauphilusIframe'] = window['NauphilusIframe'] || { 
            'widgetShow': function(c) {
                this['options'] = c || {};
                this['options']['initNow'] = !![];
                if (this['widgetInitNow']) {
                    this['widgetInitNow']();
                }
            }
        },
        function() {
            'use strict';
            var d = document['createElement']('script'),
                e = document['getElementsByTagName']('script')[0x0];
            d['type'] = 'text/javascript', d['id'] = 'Nauphilus', d['async'] = !0x0, d['src'] = 'https://www.nauphilus.com/api/widget/nauphilus-widget.js?stamp=' + new Date()['getTime'](), e['parentNode']['insertBefore'](d, e);
        }();
    </script>




    <script type="text/javascript">

        window.NauphilusIframe.widgetShow({
            /* ---- Opciones para el diseño del widget ---- */
            appendTo: 'nauphilus_container',
            // width: 'xx%',
            // height: 'xx%',
            /* ---- Funciones del widget ----*/
            listener: function (result) {
                console.log('listener: ', result);
                // sendEmail(result);
                // notifyBackOffice(result);
            },

            errorHandler: function (result) {
                console.log('errorHandler: ', result);
                // sendAlert(result);
            },
            /* ---- Objeto para Autentificarse con el API ----*/
            credentials: {
                membershipKey: 'TELCEL', //Clave de la licencia
                apiClientID: "widgettelcel@mail.com", //Username del Usuario Widget
                apiClientSecretKey: 'Equal1@telcel',//Contraseña del usuario Widget
            },

            idProspect: 'PROSPECTO01',
            isNew: true,
            productKey: 'PBAREP1',
            // personType: 2, //Persona Moral =1, Persona física = 2 (Opcional)
            // urlNotification: 'https://XXXXXXXXXX.XXXXXX',//dirección a donde se mandará el resultado de la evaluación
            /* ---- Parámetros propioss del cliente prospecto para ser tratado por Nauphilus
            ----*/
            prospect: {
                email: 'PROSPECTO01@mail.com', //Correo del cliente a evaluar
                // razonsocial: 'XXXXXX', //Razón social del cliente a evaluar
                name: 'PRUEBA PROSPECTO', //Nommbre completo del cliente
                lastname1: 'PROSPECTO',//Apellido Paterno
                lastname2: 'PRUEBA', //Apellido Materno
                // phone: 'XXXXXX', //Teléfono del cliente
                password: '1234567890', //Pasword del cliente prospecto
                // rfc: 'XXXXXX', // RFC del cliente con el respectivo formato.
                // birthdate: { year: 2000, month: 12, day: 31 }, //Fecha de nacimiento del cliente prospecto, con el formato dado
                // birthplaceId: 01, //Lugar de nacimiento (Se dará código numérico por estado)
                // gender: 'M', //Género H= hombre, M=mujer
                // curp: 'XXXXXXXXXXXX' //Curp con el formato correspondiente. AAAA010101HQTBNT00
            }
        });

    </script>
    <script>

        function nauphilus_close(){
            console.log('cerrar');
            window.NauphilusIframe.widgetClose({
                        closeAll: true // Cierra todas las sesiones
                    });
        }
    </script>

</body>
</html>
